summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorGaetan Nadon <memsize@videotron.ca>2013-10-14 16:58:46 -0400
committerGaetan Nadon <memsize@videotron.ca>2013-10-24 15:58:11 -0400
commit95f42f960e1567fd5799d376d245c52f36379b99 (patch)
treec5c6625bf92b23aa1503082c31ac7351885cf273 /build.sh
parent8600040bf361865850a1877a0c947441f34b8acf (diff)
build.sh: complete error path when extracting from tars
The return code was not checked and the script aborts if the tar command fails rather processing the errors in the usual manner. Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh17
1 files changed, 10 insertions, 7 deletions
diff --git a/build.sh b/build.sh
index 538aeba..1de9c7b 100755
--- a/build.sh
+++ b/build.sh
@@ -398,13 +398,16 @@ process() {
needs_config=1
else
checkfortars $module $component
- CONFCMD="configure"
- fi
-
- if [ X"$SRCDIR" = X ]; then
- echo "$module${component:+/}$component does not exist, skipping."
- nonexistent_components="$nonexistent_components $module${component:+/}$component"
- return 0
+ if [ $? -eq 0 ]; then
+ if [ X"$SRCDIR" = X ]; then
+ echo "$module${component:+/}$component does not exist, skipping."
+ nonexistent_components="$nonexistent_components $module${component:+/}$component"
+ return 0
+ fi
+ CONFCMD="configure"
+ else
+ return 1
+ fi
fi
old_pwd=`pwd`